Bug 486519 - Review Request: thunar-shares-plugin - Thunar file manager extension to share files using Samba
Review Request: thunar-shares-plugin - Thunar file manager extension to share...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 23:26 EST by Christoph Wickert
Modified: 2009-02-24 15:55 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-02-19 23:26:52 EST
Spec URL: http://cwickert.fedorapeople.org/review/thunar-shares-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/thunar-shares-plugin-0.2.0-1.fc11.src.rpm
Description: The Thunar Shares plugin allows you to quickly share a folder using Samba from Thunar (the Xfce file manager) without requiring root access. It's  backend is based on nautilus-share.
Comment 1 Christoph Wickert 2009-02-19 23:33:09 EST
This is basically a re-review of thunar-shares because the package has been renamed.
Comment 2 Kevin Fenzi 2009-02-20 22:57:40 EST
I'd be happy to review this. Look for a full review in a bit.
Comment 3 Kevin Fenzi 2009-02-20 23:52:42 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
80659565406f838585a867443aad4102  thunar-shares-plugin-0.2.0.tar.gz
80659565406f838585a867443aad4102  thunar-shares-plugin-0.2.0.tar.gz.orig
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

None. 

I don't see any blockers here, so this package is APPROVED.
Comment 4 Christoph Wickert 2009-02-21 07:22:01 EST
New Package CVS Request
=======================
Package Name: thunar-shares-plugin
Short Description: Thunar file manager extension to share files using Samba
Owners: cwickert
Branches: F-10  F-11
InitialCC: kevin
Comment 5 Kevin Fenzi 2009-02-22 14:38:08 EST
cvs done.
Comment 6 Fedora Update System 2009-02-24 15:55:51 EST
thunar-shares-plugin-0.2.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.